> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all space memberships for a space GET https://api.contentful.com/spaces/{space_id}/space_memberships Returns a paginated list of all space memberships in the space. Accessible by all space members. Reference: https://contentful.com/developers/docs/references/user-management-api/space-memberships/get-all-space-memberships-for-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — The space ID ### Query parameters - `skip` (integer, optional) — Specify an offset to paginate through results - `limit` (integer, optional) — Specify the maximum number of results - `include` (enum, optional) — Specify linked resources to include in response - Allowed values: `sys.user` ## Response ### 200 OK - Paginated list of space memberships - `map from string to any` ## Examples **Response** ```json { "items": [ { "admin": false, "roles": [ { "sys": { "id": "1ElgCn1mi1UHSBLTP2v4TD", "linkType": "Role", "type": "Link" } } ], "sys": { "createdAt": "2025-11-09T13:17:12Z", "id": "jn066pnp3hgr-7uqvFPPLzgtVaezGvjA9U6", "space": { "sys": { "id": "jn066pnp3hgr", "linkType": "Space", "type": "Link" } }, "type": "SpaceMembership", "updatedAt": "2025-11-09T13:17:12Z", "user": { "sys": { "id": "7uqvFPPLzgtVaezGvjA9U6", "linkType": "User", "type": "Link" } }, "version": 0 } } ], "limit": 25, "skip": 0, "sys": { "type": "Array" }, "total": 1 } ```